package com.izouma.awesomeadmin.datasource;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SqlServerTest;
import com.izouma.awesomeadmin.model.SuperUser;
import com.izouma.awesomeadmin.model.Zouma;

import java.util.List;

public interface DataService {

    /**
     * <p>获取所有用户记录。</p>
     *
     * @return tblUser list
     */
    List<SuperUser> getSuperUserList();

    List<Zouma> getZoumaList();

    List<SqlServerTest> getSqlServerTestByPage(Page page);

}
